# file-reader

## Command Info

Tool to read WarpStream formatted data files

## Command Usage

```bash
Usage of file-reader:
  -detailed
    	print detailed information about the segment
  -detailed-footer
    	print detailed information about the footer
  -file-url string
    	the file url to read
```

## Example

<pre class="language-bash"><code class="lang-bash">$ warpstream cli-beta file-reader --file-url s3://my-s3-bucket/warpstream/vci_2b277e04_f805_45de_8a23_2b5b49028864/00002/0000000000000002 -detailed

<strong>Header:
</strong>version: 1
content type: CONTENT_RECORDS

Found page 1 offsets long for stream 1 shard 0
one batch finished. 1 records and 0 uncompressed MB

Found 1 records in 1 batches in this file

Footer:

stream ids: [1]
shard ids: [0]
offsets: []
counts: [1]


batch page counts: [1]
batch page offsets: [0]
batch offsets: [15]


uncompressed size hints: [23]
total size: 0MB
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.warpstream.com/warpstream/reference/cli-reference/warpstream-cli-beta/file-reader.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
